Subject: Re: [Diversity] IETF Guidelines for Conduct - draft-moonesamy-ietf-conduct-3184bis-01

From: "Adrian Farrel" <[email-masked]>
Date: Sun, 1 Sep 2013 16:10:50 +0100

Hi Abdussalam,

> >>    "If you are unable or feel unable to do so, it is your responsibility
> >>     to report the misconduct so that it is handled."
> >>
> >> Some people may not feel comfortable raising such a matter with an
> >> unknown person.
> >
> > I recognise this, but I don't know the solution.
> 
> The solution is that WG chairs or ADs SHOULD spot any discomforte that
> is not related to IETF culture, and report the issue to make sure it
> does not happen again. The report SHOULD go to the General Area
> Director to mention in such draft related to that Area.

I don't see how this works. Perhaps I am missing something. Combining this with
the point below...

> > If the victim does not report, and the witness does not report, it becomes
> > a little hard for knowledge of the event to reach those who might act.
> > This logic regrettably causes the installation of large numbers of CCTV
> > camera around many public spaces <sigh>
> 
> In IETF, we only need CCTV in IETF meetings, which I beleive we
> already have. However, I think all acts/reacts in IETF can be
> witnessed by ALL specially by managments that include ADs and WG
> chairs. Therefore, I think in IETF we already have witnesses.

Yes, in many environments we have witnesses. But not in all environments. For
example, you might be surprised to know that I do not read every email on every
mailing list for the WGs for which I am responsible. And even those I do read
are often queued for a while and then read without continuing context of
interpersonal relations.

And this is my point: when there *are* witnesses, someone needs to make a report
or act themselves.
When there are no witnesses (as in the case of private emails - see below) only
the victim can report.

> >> Making it the person's responsibility creates an
> >> uncomfortable situation.  Do the community want Area Directors to act
> >> on a report where A says: "I heard B being rude to C"?  B can deny it
> >> or it may not be clear what was said.
> >
> > This AD wants to hear such reports and to act.
> > But please be aware that "act" does not mean "go from report directly to
> > punishment with no intervening steps".
> > Instead, it includes research, judge impact, assess context, speak to
> > offender.
> 
> IMHO, the responsibility is on ALL IETFers, we SHOULD not agree with
> any wrong action witnessed. We don't need punishment, just ADs SHOULD
> make announcements of who is wrong/mistaken or who is doing something
> out of IETF culture. Some people in IETF may not know what is IETF
> culture/procedures/BCPs.

I am glad you agree with me about who is responsible for noting "wrong action".
But I find it curious that you say "we don't need punishment" and then go ahead
to propose action that many would regard as punishment. A public statement that
"in the view of this AD person X just did something wrong" is, IMHO, a
punishment. It might not seem so to you, but this is a cultural issue: being
admonished in public can have a devastating effect on some people, and can also
be harmful to their careers.

So, when you say "no punishment" you have to be culturally aware of what
constitutes punishment.

[By the way, the delicacy of this debate on remedial actions is why my advice to
SM is to leave all discussion of "punishment" or "sanctions" or "remedial
action" out of his draft. If SM focuses on the guidelines, we have some chance
of rapid publication. Then a separate debate can look at the consequences -
maybe you would like to edit it?]

> >> There is also the question of off-list messages.  Is that something
> >> an Area Director should take PR-action on?
> >
> > Actually, yes.

[snip]

> IMHO, we already in IETF have a special police system which includes
> ADs, the ADs monitor all participants practices within WGs, but if
> these ADs make mistake or did not monitor few things, then I think one
> social group or appointed-officer to remind ADs can be a good idea.
> That officer will help some people that fear the difficult
> communication modes of IETF (which is sadly already known in IETF).
> 
> Usually I experienced that ADs assign WG chairs, so IMHO, they mostly
> back them up, therefore, an officer that can back up the community
> memebrs is very important in such situations (the
> difficult-situations). We need balance and diversity in judments so
> ADs and Community-Appointed-Officers work together but they have
> different duties.

Well, it is difficult to disagree with you without providing examples, and (of
course) examples are likely to breach confidentiality.
But, for me, the normal management process of working group chairs involves
active and constructive management. That is, when I think they are about to do
something wrong, when I see them do something wrong, or when I have a report of
them doing something wrong, I take the opportunity as a training exercise. This
happens a fair amount, and sometimes leads to the chair taking corrective
action.

Do I always back up my chairs? Yes *and* no!
Even when a chair does something wrong I will back them up if they were trying
to do the right thing. But that does not mean I will not also get them to fix
what they have done wrong.
If a chair shows she is unable to learn, then she will be replaced.

Does that mean that I always agree with complaints made about my chairs? No, it
means I look at each complaint in context and judge accordingly.

Not everyone is happy with the outcome of every event. And not everyone is able
to see that their concern does not have wider support in the community. 

Ciao,
Adrian